Assign a guest to a reservation

Assign a single guest entity to a reservation. Guest type (adult / children / infant / pet) is not tied to guestsCount or numberOfGuests.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Guesty reservation ID

Body Params
string
required

Guest entity ID. Same value as _id on GET/PUT /reservations/{reservationId}/guests assign and unassign. Exposed here as _id.

string
enum
required

Guest type for this assignment. Not tied to guestsCount / numberOfGuests.

Allowed:
Responses

400

Returned if required fields are missing or there is a validation error in the request

404

Returned if the reservation or guest was not found

422

Returned if the guest cannot be assigned (for example, already assigned)

500

Indicates server-side error while processing the request

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json